Changed Ubuntu 18.04 to 20.04 and Ruby 2.5 to 2.7
[rails.git] / script / cleanup
1 #!/usr/bin/env ruby
2
3 require File.dirname(__FILE__) + "/../config/environment"
4
5 UserToken.where("expiry < NOW()").delete_all
6 OauthNonce.where("timestamp < EXTRACT(EPOCH FROM NOW() - INTERVAL '1 day')").delete_all
7 OauthToken.where("invalidated_at < NOW() - INTERVAL '28 days'").delete_all
8 RequestToken.where("authorized_at IS NULL AND created_at < NOW() - INTERVAL '28 days'").delete_all
9
10 exit 0